var util = require('../../../util/util.js')
import request from '../../../util/http'
import apiUrl1 from '../../../util/apiUrl1'
var app = getApp();
Page({
  data: {
    showchangetime: false,
    nowselectTime: util.formatDate(new Date()),
    datelist: [{ title: "周一", date: 0, cssName: '', id: 1, day: 0 }, { title: "周二", date: 0, cssName: '', id: 2, day: 0 }, { title: "周三", date: 0, cssName: '', id: 3, day: 0 }, { title: "周四", date: 0, cssName: '', id: 4, day: 0 }, { title: "周五", date: 0, cssName: '', id: 5, day: 0 }, { title: "周六", date: 0, cssName: '', id: 6, day: 0 }, { title: "周天", date: 0, cssName: '', id: 7, day: 0 }],
    isreminds: true,
    showcancelbox: false,
    cancellist: [{ value: '1', label: '任务太多', checked: true }, { value: '2', label: '我不会', checked: false }, { value: '3', label: '任务不详细', checked: false }],
    taskList: [],
    servantName: '',//保姆姓名
    weekday: '',//日前
    servantTypeValue: '',//保姆工种,
    cost: "",
    taskId: "",
    incompleteReason: 1
  },
  onLoad() {
    //加载选中的时间
    console.log(this.data.nowselectTime);
    let that = this;
    that.getWeekStartDate(this.data.nowselectTime);
    let data = this.data.datelist;
    for (let i = 0; i < 7; i++) {
      if (this.data.weekdateday[i] == this.data.nowDay) {
        data[i].date = this.data.weekdate[i];
        data[i].day = this.data.weekdateday[i];
        data[i].cssName = 'tik-week-item-select'
      }
      else {
        data[i].date = this.data.weekdate[i];
        data[i].day = this.data.weekdateday[i];
      }
    }
    this.setData({
      datelist: data,
      servantName: app.globalData.servantInfo.employerName,
      weekday: app.globalData.servantInfo.servantTaskPeriod.workDay,
      servantTypeValue: app.globalData.servantInfo.servantType
    });


    //处理时间完成
    this.selectDayTaskItem();
  },
  showcancel(e) {
    this.setData({
      showcancelbox: true,
      taskId: e.target.dataset.id
    });
    console.log(this.data.taskId);
  },

  showyes(e) {
    console.log(e.target.dataset.id);
    let id = e.target.dataset.id;
    request.httpServicePost(apiUrl1.servantTaskSubmitPath, { id: id, state: 1 }).then(data => {
      my.alert({
        title: '提示',
        content: '提交完成',
        buttonText: '确定',
        success: () => {
          this.selectDayTaskItem();
        }
      });
    });
  },
  hidecnacelbox() {
    this.setData({
      showcancelbox: false
    });
  },
  dateAdd: function (startDate, days) {
    startDate = new Date(startDate);
    startDate = +startDate + days * 1000 * 60 * 60 * 24;
    startDate = new Date(startDate);
    //var nextStartDate = startDate.getFullYear() + "-" + (startDate.getMonth() + 1) + "-" + startDate.getDate();
    return startDate.getDate();
  },
  datedayAdd: function (startDate, days) {
    startDate = new Date(startDate);
    startDate = +startDate + days * 1000 * 60 * 60 * 24;
    startDate = new Date(startDate);
    var nextStartDate = startDate.getFullYear() + "-" + (startDate.getMonth() + 1) + "-" + startDate.getDate();

    return nextStartDate;
  },
  //获取本周的开始日期
  getWeekStartDate(nowday) {
    let that = this;
    this.now = new Date(nowday);
    this.nowYear = this.now.getFullYear(); //当前年 
    this.nowMonth = this.now.getMonth(); //当前月 
    this.nowDay = this.now.getDate(); //当前日 
    this.setData({
      nowDay: this.nowDay
    });//保存当前日
    this.nowDayOfWeek = this.now.getDay(); //今天是本周的第几天 
    let dateStart = util.formatDate(new Date(this.nowYear, this.nowMonth, this.nowDay - this.nowDayOfWeek + 1));

    let weekdateday = [this.dateAdd(dateStart, 0), this.dateAdd(dateStart, 1), this.dateAdd(dateStart, 2), this.dateAdd(dateStart, 3), this.dateAdd(dateStart, 4), this.dateAdd(dateStart, 5), this.dateAdd(dateStart, 6)];
    let weekdate = [this.datedayAdd(dateStart, 0), this.datedayAdd(dateStart, 1), this.datedayAdd(dateStart, 2), this.datedayAdd(dateStart, 3), this.datedayAdd(dateStart, 4), this.datedayAdd(dateStart, 5), this.datedayAdd(dateStart, 6)];
    this.setData({
      weekdate: weekdate,
      weekdateday: weekdateday
    })

  },
  changeWeekTime(e) {
    console.log(e.target.id);
    let changetime = e.target;
  },

  showtime() {
    this.setData({
      showchangetime: true,
    });
  },
  handleSelect(e) {
    let selectday=util.formatDate(e[0]);
    console.log(selectday);
  },
  // 查询保姆每日任务
  selectDayTaskItem() {
    let params = {
      "employRelationNo": app.globalData.employRelationNo,
      "date": this.data.nowselectTime
    }
    request.httpServiceGet(apiUrl1.selectDayTaskItemPath, params).then(data => {
      console.log(data);
      // 未设置任务
      if (data.length == 0) {
        this.setData({
          isreminds: false,
        });
      } else {
        // 今天有任务
        this.setData({
          taskList: data,
        });
      }
    }

    ).catch(e => {
      console.log(e);

    })
  },

  //今日花销合计
  bindKeyInput(e) {
    this.setData({
      cost: e.detail.value,
    });
    console.log(e);

  },

  //提交保姆今日花销
  createServant() {
    let employRelationNo = app.globalData.employRelationNo;
    let date = this.data.nowselectTime;
    let cost = this.data.cost;
    request.httpServicePost(apiUrl1.insertDailyCostPath, { employRelationNo: employRelationNo, spendDate: date, cost: cost }).then(data => {
      my.alert({
        title: '提示',
        content: '提交完成',
        buttonText: '确定',
        success: () => {
          my.navigateBack();
        }
      });
    });
  },

  swiperChange(e) {
    console.log(e.detail.value);
    this.setData({
      incompleteReason: e.detail.value,
    });
  },
switchList(){
    my.navigateTo({
      url: '../myCustomerList/myCustomerList'
    });
  },
  //确定提交任务
  confirmbox() {
    let id = this.data.taskId;
    let incompleteReason = this.data.incompleteReason;
    request.httpServicePost(apiUrl1.servantTaskSubmitPath, { id: id, state: 2, incompleteReason: incompleteReason }).then(data => {
      my.alert({
        title: '提示',
        content: '提交完成',
        buttonText: '确定',
        success: () => {
          this.setData({
            showcancelbox: false
          });
          this.selectDayTaskItem();
        }
      });
    });
  }
});
